| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Signals | Public Member Functions | List of all members
Digikam::LensFunCameraSelector Class Reference
Inheritance diagram for Digikam::LensFunCameraSelector:

## Public Types
typedef QMap< QString, QString > | Device

## Signals
void | signalLensSettingsChanged ()

## Public Member Functions
| LensFunCameraSelector (QWidget *const parent=nullptr)
void | readSettings (const KConfigGroup &group)
void | resetToDefault ()
void | setEnabledUseMetadata (bool b)
void | setMetadata (const MetaEngineData &)
void | setPassiveMetadataUsage (bool b)
| Special mode used with BQM which processes multiple items at the same time.
void | setSettings (const LensFunContainer &settings)
LensFunContainer | settings ()
void | setUseMetadata (bool b)
bool | supportsCCA () const
bool | supportsDistortion () const
bool | supportsGeometry () const
bool | supportsVig () const
bool | useMetadata () const
void | writeSettings (KConfigGroup &group)